Subject: bug#22860: [PATCH] vc-hg: prompt for branch to merge

From: Andrii Kolomoiets <[email-masked]>
Date: Sat, 23 Nov 2019 20:51:28 +0200

On 23 Nov 2019, at 20:34, Eli Zaretskii <[email-masked]> wrote:
> 
>> +*** The Hg (Mercurial) back-end now use tag and branch names instead of
>> +revision numbers as completion candidates on reading revision.
> 
> Why "instead of revision numbers"? it sounds like a backward
> incompatible change.  Can't we use both revision numbers and
> branch/tag names?

You are right, it's backward incompatible. And yes, revision numbers can
be used with branch/tag names. But they should not. It was big surprise
for me to see numbers from 0 to 116K as completion candidates on
vc-retrieve-tag. IMO revision numbers are useles in completions.

>> (defun vc-hg-merge-branch ()
>> -  "Merge incoming changes into the current working directory.
>> +  "Prompts for branch and merge it into the current branch.
> 
> "Prompt", not "prompts", for consistency with how we word our doc
> strings for functions.

Fixed.